MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
MyGUI::ICroppedRectangle Class Reference

`#include <MyGUI_ICroppedRectangle.h>`

Inheritance diagram for MyGUI::ICroppedRectangle:
[legend]

## Public Member Functions
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const

## Protected Member Functions
bool | _checkMargin ()
bool | _checkOutside () const

## Protected Attributes
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

Definition at line 16 of file MyGUI_ICroppedRectangle.h.

## Constructor & Destructor Documentation

MyGUI::ICroppedRectangle::ICroppedRectangle | ( |  | ) |
| inline

Definition at line 19 of file MyGUI_ICroppedRectangle.h.

virtual MyGUI::ICroppedRectangle::~ICroppedRectangle | ( |  | ) |
| inline virtual

Definition at line 24 of file MyGUI_ICroppedRectangle.h.

## Member Function Documentation

bool MyGUI::ICroppedRectangle::_checkMargin | ( |  | ) |
| inline protected

Definition at line 185 of file MyGUI_ICroppedRectangle.h.

bool MyGUI::ICroppedRectangle::_checkOutside | ( |  | ) | const
| inline protected

Definition at line 235 of file MyGUI_ICroppedRectangle.h.

const IntRect& MyGUI::ICroppedRectangle::_getMargin | ( |  | ) | const
| inline

Definition at line 163 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getMarginBottom | ( |  | ) | const
| inline

Definition at line 179 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getMarginLeft | ( |  | ) | const
| inline

Definition at line 167 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getMarginRight | ( |  | ) | const
| inline

Definition at line 171 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getMarginTop | ( |  | ) | const
| inline

Definition at line 175 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getViewBottom | ( |  | ) | const
| inline

Definition at line 145 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getViewHeight | ( |  | ) | const
| inline

Definition at line 153 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getViewLeft | ( |  | ) | const
| inline

Definition at line 133 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getViewRight | ( |  | ) | const
| inline

Definition at line 137 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getViewTop | ( |  | ) | const
| inline

Definition at line 141 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::_getViewWidth | ( |  | ) | const
| inline

Definition at line 149 of file MyGUI_ICroppedRectangle.h.

bool MyGUI::ICroppedRectangle::_isMargin | ( |  | ) | const
| inline

True if rectangle is cropped by parent rectangle

Definition at line 127 of file MyGUI_ICroppedRectangle.h.

void MyGUI::ICroppedRectangle::_setCroppedParent | ( | ICroppedRectangle * | _parent | ) |
| inline

Definition at line 158 of file MyGUI_ICroppedRectangle.h.

IntCoord MyGUI::ICroppedRectangle::getAbsoluteCoord | ( |  | ) | const
| inline

Get coordinate in screen coordinates

Definition at line 77 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getAbsoluteLeft | ( |  | ) | const
| inline

Get X in screen coordinates

Definition at line 83 of file MyGUI_ICroppedRectangle.h.

const IntPoint& MyGUI::ICroppedRectangle::getAbsolutePosition | ( |  | ) | const
| inline

Get position in screen coordinates

Definition at line 67 of file MyGUI_ICroppedRectangle.h.

IntRect MyGUI::ICroppedRectangle::getAbsoluteRect | ( |  | ) | const
| inline

Get rectangle in screen coordinates

Definition at line 72 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getAbsoluteTop | ( |  | ) | const
| inline

Get Y in screen coordinates

Definition at line 88 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getBottom | ( |  | ) | const
| inline

Get bottom y-coordinate

Definition at line 109 of file MyGUI_ICroppedRectangle.h.

const IntCoord& MyGUI::ICroppedRectangle::getCoord | ( |  | ) | const
| inline

Get coordinates (position and size)

Definition at line 61 of file MyGUI_ICroppedRectangle.h.

ICroppedRectangle* MyGUI::ICroppedRectangle::getCroppedParent | ( |  | ) |
| inline

Get parent ICroppedRectangle

Definition at line 27 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getHeight | ( |  | ) | const
| inline

Get height

Definition at line 119 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getLeft | ( |  | ) | const
| inline

Get left x-coordinate

Definition at line 94 of file MyGUI_ICroppedRectangle.h.

IntPoint MyGUI::ICroppedRectangle::getPosition | ( |  | ) | const
| inline

Get position

Definition at line 51 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getRight | ( |  | ) | const
| inline

Get right x-coordinate

Definition at line 99 of file MyGUI_ICroppedRectangle.h.

IntSize MyGUI::ICroppedRectangle::getSize | ( |  | ) | const
| inline

Get size

Definition at line 56 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getTop | ( |  | ) | const
| inline

Get top y-coordinate

Definition at line 104 of file MyGUI_ICroppedRectangle.h.

int MyGUI::ICroppedRectangle::getWidth | ( |  | ) | const
| inline

Get width

Definition at line 114 of file MyGUI_ICroppedRectangle.h.

virtual void MyGUI::ICroppedRectangle::setCoord | ( | const IntCoord & | _value | ) |
| inline virtual

Set coordinates (position and size)

Reimplemented in MyGUI::EditBox, MyGUI::ListBox, MyGUI::Canvas, MyGUI::ItemBox, MyGUI::Widget, MyGUI::ScrollBar, MyGUI::Window, MyGUI::TabControl, MyGUI::ProgressBar, MyGUI::MultiListBox, and MyGUI::ScrollView.

Definition at line 45 of file MyGUI_ICroppedRectangle.h.

virtual void MyGUI::ICroppedRectangle::setPosition | ( | const IntPoint & | _value | ) |
| inline virtual

Set position

Reimplemented in MyGUI::EditBox, MyGUI::ListBox, MyGUI::ItemBox, MyGUI::Widget, MyGUI::ScrollBar, MyGUI::Window, MyGUI::TabControl, MyGUI::ProgressBar, MyGUI::MultiListBox, and MyGUI::ScrollView.

Definition at line 33 of file MyGUI_ICroppedRectangle.h.

virtual void MyGUI::ICroppedRectangle::setSize | ( | const IntSize & | _value | ) |
| inline virtual

Set size

Reimplemented in MyGUI::EditBox, MyGUI::ListBox, MyGUI::Canvas, MyGUI::ItemBox, MyGUI::Widget, MyGUI::ScrollBar, MyGUI::Window, MyGUI::TabControl, MyGUI::ProgressBar, MyGUI::MultiListBox, and MyGUI::ScrollView.

Definition at line 39 of file MyGUI_ICroppedRectangle.h.

## Field Documentation

IntPoint MyGUI::ICroppedRectangle::mAbsolutePosition
| protected

Definition at line 246 of file MyGUI_ICroppedRectangle.h.

IntCoord MyGUI::ICroppedRectangle::mCoord
| protected

Definition at line 245 of file MyGUI_ICroppedRectangle.h.

ICroppedRectangle* MyGUI::ICroppedRectangle::mCroppedParent
| protected

Definition at line 249 of file MyGUI_ICroppedRectangle.h.

bool MyGUI::ICroppedRectangle::mIsMargin
| protected

Definition at line 248 of file MyGUI_ICroppedRectangle.h.

IntRect MyGUI::ICroppedRectangle::mMargin
| protected

Definition at line 244 of file MyGUI_ICroppedRectangle.h.

The documentation for this class was generated from the following file:

- MyGUI_ICroppedRectangle.h